cc.funkemunky.api.tinyprotocol.packet.in

## Enum WrappedInBlockDigPacket.EnumPlayerDigType

- java.lang.Object
- - java.lang.Enum<WrappedInBlockDigPacket.EnumPlayerDigType>
  - - cc.funkemunky.api.tinyprotocol.packet.in.WrappedInBlockDigPacket.EnumPlayerDigType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<WrappedInBlockDigPacket.EnumPlayerDigType>

Enclosing class:
  WrappedInBlockDigPacket

    public static enum WrappedInBlockDigPacket.EnumPlayerDigType
    extends java.lang.Enum<WrappedInBlockDigPacket.EnumPlayerDigType>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`ABORT_DESTROY_BLOCK`
`DROP_ALL_ITEMS`
`DROP_ITEM`
`RELEASE_USE_ITEM`
`START_DESTROY_BLOCK`
`STOP_DESTROY_BLOCK`
`SWAP_HELD_ITEMS`

### Method Summary

All Methods Static Methods Concrete Methods
`static WrappedInBlockDigPacket.EnumPlayerDigType` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static WrappedInBlockDigPacket.EnumPlayerDigType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### START_DESTROY_BLOCK

    public static final WrappedInBlockDigPacket.EnumPlayerDigType START_DESTROY_BLOCK

#### ABORT_DESTROY_BLOCK

    public static final WrappedInBlockDigPacket.EnumPlayerDigType ABORT_DESTROY_BLOCK

#### STOP_DESTROY_BLOCK

    public static final WrappedInBlockDigPacket.EnumPlayerDigType STOP_DESTROY_BLOCK

#### DROP_ALL_ITEMS

    public static final WrappedInBlockDigPacket.EnumPlayerDigType DROP_ALL_ITEMS

#### DROP_ITEM

    public static final WrappedInBlockDigPacket.EnumPlayerDigType DROP_ITEM

#### RELEASE_USE_ITEM

    public static final WrappedInBlockDigPacket.EnumPlayerDigType RELEASE_USE_ITEM

#### SWAP_HELD_ITEMS

    public static final WrappedInBlockDigPacket.EnumPlayerDigType SWAP_HELD_ITEMS

### Method Detail

#### values

    public static WrappedInBlockDigPacket.EnumPlayerDigType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (WrappedInBlockDigPacket.EnumPlayerDigType c : WrappedInBlockDigPacket.EnumPlayerDigType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static WrappedInBlockDigPacket.EnumPlayerDigType valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null